Main Page Packages Class Hierarchy Compound List File List Compound Members

# DOMTestFramework Interface Reference

List of all members.

## Public Methods
boolean | hasFeature (DocumentBuilder docBuilder, String feature, String version)
void | wait (int millisecond)
void | assertTrue (DOMTestCase test, String assertID, boolean actual)
void | assertFalse (DOMTestCase test, String assertID, boolean actual)
void | assertNull (DOMTestCase test, String assertID, Object actual)
void | assertNotNull (DOMTestCase test, String assertID, Object actual)
void | assertSame (DOMTestCase test, String assertID, Object expected, Object actual)
void | assertInstanceOf (DOMTestCase test, String assertID, Object obj, Class cls)
void | assertSize (DOMTestCase test, String assertID, int expectedSize, NodeList collection)
void | assertSize (DOMTestCase test, String assertID, int expectedSize, NamedNodeMap collection)
void | assertSize (DOMTestCase test, String assertID, int expectedSize, Collection collection)
void | assertEqualsIgnoreCase (DOMTestCase test, String assertID, String expected, String actual)
void | assertEqualsIgnoreCase (DOMTestCase test, String assertID, Collection expected, Collection actual)
void | assertEqualsIgnoreCase (DOMTestCase test, String assertID, List expected, List actual)
void | assertEquals (DOMTestCase test, String assertID, String expected, String actual)
void | assertEquals (DOMTestCase test, String assertID, int expected, int actual)
void | assertEquals (DOMTestCase test, String assertID, double expected, double actual)
void | assertEquals (DOMTestCase test, String assertID, Collection expected, Collection actual)
void | assertNotEqualsIgnoreCase (DOMTestCase test, String assertID, String expected, String actual)
void | assertNotEquals (DOMTestCase test, String assertID, String expected, String actual)
void | assertNotEquals (DOMTestCase test, String assertID, int expected, int actual)
void | assertNotEquals (DOMTestCase test, String assertID, double expected, double actual)
void | assertURIEquals (DOMTestCase test, String assertID, String scheme, String path, String host, String file, String query, String fragment, Boolean isAbsolute, String actual) throws java.net.MalformedURLException
boolean | same (Object expected, Object actual)
boolean | equalsIgnoreCase (String expected, String actual)
boolean | equalsIgnoreCase (Collection expected, Collection actual)
boolean | equalsIgnoreCase (List expected, List actual)
boolean | equals (String expected, String actual)
boolean | equals (int expected, int actual)
boolean | equals (double expected, double actual)
boolean | equals (Collection expected, Collection actual)
boolean | equals (List expected, List actual)
int | size (Collection collection)
int | size (NamedNodeMap collection)
int | size (NodeList collection)

## Detailed Description

This interface provides services typically provided by a test framework

Definition at line 39 of file DOMTestFramework.java.

## Member Function Documentation

void DOMTestFramework::assertEquals | ( | DOMTestCase | test,
|  | String | assertID,
|  | Collection | expected,
|  | Collection | actual
| ) |

void DOMTestFramework::assertEquals | ( | DOMTestCase | test,
|  | String | assertID,
|  | double | expected,
|  | double | actual
| ) |

void DOMTestFramework::assertEquals | ( | DOMTestCase | test,
|  | String | assertID,
|  | int | expected,
|  | int | actual
| ) |

void DOMTestFramework::assertEquals | ( | DOMTestCase | test,
|  | String | assertID,
|  | String | expected,
|  | String | actual
| ) |

| Referenced by DOMTestCase::assertEquals().

void DOMTestFramework::assertEqualsIgnoreCase | ( | DOMTestCase | test,
|  | String | assertID,
|  | List | expected,
|  | List | actual
| ) |

void DOMTestFramework::assertEqualsIgnoreCase | ( | DOMTestCase | test,
|  | String | assertID,
|  | Collection | expected,
|  | Collection | actual
| ) |

void DOMTestFramework::assertEqualsIgnoreCase | ( | DOMTestCase | test,
|  | String | assertID,
|  | String | expected,
|  | String | actual
| ) |

| Referenced by DOMTestCase::assertEqualsIgnoreCase().

void DOMTestFramework::assertFalse | ( | DOMTestCase | test,
|  | String | assertID,
|  | boolean | actual
| ) |

| Referenced by DOMTestCase::assertFalse().

void DOMTestFramework::assertInstanceOf | ( | DOMTestCase | test,
|  | String | assertID,
|  | Object | obj,
|  | Class | cls
| ) |

| Referenced by DOMTestCase::assertInstanceOf().

void DOMTestFramework::assertNotEquals | ( | DOMTestCase | test,
|  | String | assertID,
|  | double | expected,
|  | double | actual
| ) |

void DOMTestFramework::assertNotEquals | ( | DOMTestCase | test,
|  | String | assertID,
|  | int | expected,
|  | int | actual
| ) |

void DOMTestFramework::assertNotEquals | ( | DOMTestCase | test,
|  | String | assertID,
|  | String | expected,
|  | String | actual
| ) |

| Referenced by DOMTestCase::assertNotEquals().

void DOMTestFramework::assertNotEqualsIgnoreCase | ( | DOMTestCase | test,
|  | String | assertID,
|  | String | expected,
|  | String | actual
| ) |

| Referenced by DOMTestCase::assertNotEqualsIgnoreCase().

void DOMTestFramework::assertNotNull | ( | DOMTestCase | test,
|  | String | assertID,
|  | Object | actual
| ) |

| Referenced by DOMTestCase::assertNotNull().

void DOMTestFramework::assertNull | ( | DOMTestCase | test,
|  | String | assertID,
|  | Object | actual
| ) |

| Referenced by DOMTestCase::assertNull().

void DOMTestFramework::assertSame | ( | DOMTestCase | test,
|  | String | assertID,
|  | Object | expected,
|  | Object | actual
| ) |

| Referenced by DOMTestCase::assertSame().

void DOMTestFramework::assertSize | ( | DOMTestCase | test,
|  | String | assertID,
|  | int | expectedSize,
|  | Collection | collection
| ) |

void DOMTestFramework::assertSize | ( | DOMTestCase | test,
|  | String | assertID,
|  | int | expectedSize,
|  | NamedNodeMap | collection
| ) |

void DOMTestFramework::assertSize | ( | DOMTestCase | test,
|  | String | assertID,
|  | int | expectedSize,
|  | NodeList | collection
| ) |

| Referenced by DOMTestCase::assertSize().

void DOMTestFramework::assertTrue | ( | DOMTestCase | test,
|  | String | assertID,
|  | boolean | actual
| ) |

| Referenced by DOMTestCase::assertTrue().

void DOMTestFramework::assertURIEquals | ( | DOMTestCase | test,
|  | String | assertID,
|  | String | scheme,
|  | String | path,
|  | String | host,
|  | String | file,
|  | String | query,
|  | String | fragment,
|  | Boolean | isAbsolute,
|  | String | actual
| ) |

| Referenced by DOMTestCase::assertURIEquals().

boolean DOMTestFramework::equals | ( | List | expected,
|  | List | actual
| ) |

boolean DOMTestFramework::equals | ( | Collection | expected,
|  | Collection | actual
| ) |

boolean DOMTestFramework::equals | ( | double | expected,
|  | double | actual
| ) |

boolean DOMTestFramework::equals | ( | int | expected,
|  | int | actual
| ) |

boolean DOMTestFramework::equals | ( | String | expected,
|  | String | actual
| ) |

| Referenced by DOMTestCase::equals().

boolean DOMTestFramework::equalsIgnoreCase | ( | List | expected,
|  | List | actual
| ) |

boolean DOMTestFramework::equalsIgnoreCase | ( | Collection | expected,
|  | Collection | actual
| ) |

boolean DOMTestFramework::equalsIgnoreCase | ( | String | expected,
|  | String | actual
| ) |

| Referenced by DOMTestCase::equalsIgnoreCase().

boolean DOMTestFramework::hasFeature | ( | DocumentBuilder | docBuilder,
|  | String | feature,
|  | String | version
| ) |

boolean DOMTestFramework::same | ( | Object | expected,
|  | Object | actual
| ) |

| Referenced by DOMTestCase::same().

int DOMTestFramework::size | ( | NodeList | collection | ) |

int DOMTestFramework::size | ( | NamedNodeMap | collection | ) |

int DOMTestFramework::size | ( | Collection | collection | ) |

| Referenced by DOMTestCase::size().

void DOMTestFramework::wait | ( | int | millisecond | ) |

| Referenced by DOMTestCase::wait().

The documentation for this interface was generated from the following file:

- DOMTestFramework.java